#ifndef SIMULATION_H
#define SIMULATION_H

#include <vector>

#include <map>
#include "behavior.h"
#include "team.h"

class Map;

class Simulation
{
private:
    Map &m_map;
    std::vector<Dude*> m_dudes;
    std::vector<Team> m_teams;
public:
    Simulation(Map &_map, std::vector<BehaviorFunction> &_behaviors);
    /**
     * @brief update runs one step of simulation
     */
    void update();
    void handleAction(Action*, Dude* dude);
};

#endif // SIMULATION_H
